<?php
define('NTLCMS', 1);
$module = 'panel';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
include ('../system/head.php');
################################################################################
if ($active && $_USER['admin'] == '1'){
################################################################################
switch($act){
default:
echo '<div class="title"><b>'.razd.' Админ панель | Заявки на вывод</b></div>';
################################################################################		
		
$k_post = DB :: run() -> querySingle("select count(`id`) from `payment` where `status` = ?", array('moder'));		
 
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage; 
	
$sql = DB :: run() -> query("select * from `payment` where `status` = ? order by `id` asc limit ".$start.", ".$onpage, array('moder'));

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Заявок на вывод средств нет!</center></div>';
} else {
echo '<div class="menu">';
	 echo'<style>
	            TH {
             background: #e3ecdf; /* Цвет фона ячеек */
	         color: black; /* Цвет текста */ 
			      }</style>	
	     <BODY><TABLE BORDER WIDTH=100%>
           <TR>
         <TH><center><b>№</b></center></TH>
         <TH><center><b>Дата</b></center></TH>
         <TH><center><b>Кому</center></TH>
		 <TH><center><b>Сумма</center></TH>
		 <TH><center><b>Кошелек</center></TH>
		 <TH><center><b>Действие</center></TH></TR>';



while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo'<TR>
         <TD ALIGN=CENTER>'.((int) $row -> id).'</TD>
         <TD ALIGN=CENTER>'.date('d.m.Y H:i', $row -> date).'</TD>
         <TD ALIGN=CENTER>'.login($row -> login, 1).'</TD>
		 <TD ALIGN=CENTER>'.((float) $row -> money).'</TD>
		 
		 <TD ALIGN=CENTER>'.($row -> oplata ? checkout($row -> oplata) : '-').'</TD>
		 <TD ALIGN=CENTER><a href="'.URL.'/_withdrawal_on'.((int) $row -> id).'-'.checkout($row -> login).'">ON</a> |
        <a href="'.URL.'/_withdrawal_off'.((int) $row -> id).'-'.checkout($row -> login).'">OFF</a></TD></TR></BODY> ';
		}
 echo '<tr><TD colspan=7 ALIGN=CENTER>Всего заявок: <b>'.$k_post.'</b></TD>';	
		
echo '</table></div>';
	
if ($k_page > 1) navigation(URL.'/_withdrawal?', $k_page, $page);
}

echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';
break;
################################################################################		
case 'on':

$id = isset($_GET['true']) ? filter_var($_GET['true'], FILTER_SANITIZE_NUMBER_INT) : '0';
$login = isset($_GET['log']) ? filter_var($_GET['log'], FILTER_SANITIZE_STRING) : false;

if (DB :: run() -> querySingle("select count(`id`) from `payment` where `status` = ? and `id` = ?", array('moder', $id))){
DB :: run() -> query("update `payment` set `status` = ?, `date` = ? where `id` = ?", array('on', TIME, $id));
DB :: run() -> query("insert into `notice` (`to`, `date`, `status`, `tema`, `text`) values (?, ?, ?, ?, ?)", array($login, TIME, 1, 'Вывод средств', 'Ваша заявка на вывод средств обработана! Оставьте свой  [url='.URL.'/responses]отзыв[/url]!'));

$_SESSION['success'] = 'Выплата успешно выполнена!';
header('Location: '.URL.'/_withdrawal');				
}

break;				
################################################################################
case 'off':
$id = isset($_GET['false']) ? filter_var($_GET['false'], FILTER_SANITIZE_NUMBER_INT) : '0';
$login = isset($_GET['log']) ? filter_var($_GET['log'], FILTER_SANITIZE_STRING) : false;
		
if (DB :: run() -> querySingle("select count(`id`) from `payment` where `status` = ? and `id` = ?", array('moder', $id))){
$bl = DB :: run() -> querySingle("select `money2` from `payment` where `id` = ?", array($id));
DB :: run() -> query("update `users` set `balans` = `balans` + ? where `login` = ? limit 1", array($bl, $login));
DB :: run() -> query("delete from `payment` where `id` = ? limit 1", array($id));
DB :: run() -> query("insert into `notice` (`to`, `date`, `status`, `tema`, `text`) values (?, ?, ?, ?, ?)", array($login, TIME, 1, 'Вывод средств', 'Ваша заявка на вывод средств отклонена!'));

$_SESSION['success'] = 'Выплата успешно отклонена !';
header('Location: '.URL.'/_withdrawal');
}

break;
################################################################################
}
} else {
echo '<div class="title"><b>'.razd.' Проверка прав доступа</b></div>';
echo '<div class="menu"><center><i class="fa fa-close fa-fw"></i> Доступ запрещен!</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> '.(isset($active) ? '<a href="'.URL.'/cabinet">В кабинет</a>' : '<a href="'.URL.'">На главную</a>').'</div>';
}

include ('../system/foot.php');
?>